---
title: IDBDatabase.onclose
slug: Web/API/IDBDatabase/onclose
tags:
  - API
  - Event Handler
  - IDBDatabase
  - IndexedDB
  - Property
  - Reference
  - onclose
---
<p>{{ APIRef("IndexedDB") }}</p>

<div>
<p>The <strong><code>onclose</code></strong> event handler of the {{domxref("IDBDatabase")}} interface handles the {{event("close")}} event, which is fired when the database is unexpectedly closed. This can happen, for example, when the application is shut down or access to the disk the database is stored on is lost while the database is open.</p>

<p>The {{event("close")}} event is fired after all transactions have been aborted and the connection has been closed.</p>

<p>{{AvailableInWorkers}}</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>IDBDatabase</em>.onclose = <em>function</em>(event) { ... };</pre>

<h3 id="Value">Value</h3>

<p>A function which is called when the {{event("close")}} event is fired.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">db.onclose = function(event) {
  myAppShowAlert('The database "' + db.name + '" has unexpectedly closed.');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IndexedDB 2', '#dom-idbdatabase-onclose', 'onclose')}}</td>
   <td>{{Spec2('IndexedDB 2')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.IDBDatabase.onclose")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/IndexedDB_API/Using_IndexedDB">Using IndexedDB</a></li>
 <li>{{domxref("IDBDatabase")}}</li>
 <li><a href="/en-US/docs/Web/API/IDBDatabase/close_event">close</a> event</li>
</ul>
